=== debian/changelog ===
lablgtk3 (3.0~beta3-1) unstable; urgency=medium

  * Initial packaging (closes: #916645)

 -- Ralf Treinen <treinen@debian.org>  Sun, 23 Dec 2018 20:00:19 +0100
