=== debian/control ===
Source: lablgtk3
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-ocaml,
 ocaml-nox (>= 4.05),
 ocaml-findlib (>= 1.2.1),
 libgtk-3-dev (>= 3.18),
 libgtkspell3-3-dev,
 libgtksourceview-3.0-dev
Build-Conflicts: liblablgtk2-ocaml-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk3.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk3

Package: liblablgtk3-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings for GTK+ version 3
 lablgtk3 contains bindings for GTK+ 3.x and OCaml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables.

Package: liblablgtk3-ocaml-dev
Architecture: any
Depends:
 libgtk-3-dev,
 libgtkspell-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk3-ocaml-doc
Description: OCaml bindings to Gtk+ version 3
 lablgtk3 contains bindings for GTK+ 3.x and OCaml.
 .
 This package contains the development files of lablgtk.

Package: liblablgtk3-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances:
 liblablgtk3-ocaml-dev,
Description: OCaml bindings to Gtk+ version 3 (documentation)
 LablGTK3 contains bindings for GTK+ 3.x and OCaml.
 .
 This package contains the API reference of all libraries provided by
 LablGTK3, and the collection of examples.

Package: liblablgtksourceview3-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for libgtksourceview3 (runtime)
 This is the OCaml binding for the GtkSourceView3 widget, a text widget that
 extends the standard GTK+ 3.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the shared runtime stub libraries.

Package: liblablgtksourceview3-ocaml-dev
Architecture: any
Depends:
 libgtksourceview-3.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk3-ocaml-doc
Description: OCaml bindings for libgtksourceview3, a source editor GTK+ widget
 This is the OCaml binding for the GtkSourceView3 widget, a text widget that
 extends the standard GTK+ 3.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the development part of the lablgtksourceview2 package.
