=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://forge.ocamlcore.org/frs/?group_id=220 .*/lablgtk-(.*)\.tar\.gz
