## lablgtk3 3.0~beta6

=== src/Makefile ===
--- 
+++ 
@@ -1,18 +1,19 @@
 # Makefile for lablgtk.
 
-COMPILER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3+52 -warn-error A-52 -c
+OCAMLFINDDEPS = -package cairo2
+COMPILER = $(OCAMLFIND) $(CAMLC) $(OCAMLFINDDEPS) $(MLFLAGS) $(MLBYTEFLAGS) -w s-3+52 -warn-error A-52 -c
 LINKER = $(CAMLC) $(MLFLAGS) $(MLBYTEFLAGS)
-COMPOPT = $(CAMLOPT) $(MLFLAGS) -w s -c
+COMPOPT = $(OCAMLFIND) $(CAMLOPT) $(OCAMLFINDDEPS) $(MLFLAGS) -w s -c
 LINKOPT = $(CAMLOPT) $(MLFLAGS)
 LIBRARIAN = $(CAMLMKLIB) -verbose -ocamlc "$(CAMLC)" -ocamlopt "$(CAMLOPT)"
-TOPLEVEL = $(CAMLMKTOP) $(MLFLAGS)
+TOPLEVEL = $(OCAMLFIND) $(CAMLMKTOP) $(OCAMLFINDDEPS) cairo.cma $(MLFLAGS)
 CAMLP4 = $(CAMLP4O) pr_o.cmo
 
 CONFIG = ../config.make
 
 # protect against missing definitions
 BINDIR = ""
-LIBDIR = ""
+LIBDIR = `ocamlfind query cairo2`
 INSTALLDIR = $(LIBDIR)/lablgtk3
 DLLDIR = $(LIBDIR)/stublibs
 
@@ -43,6 +44,8 @@
 ifdef ABSVALUE
 GTKCFLAGS += -Iabsvalue -DABSVALUE
 endif
+
+GTKCFLAGS += -I`ocamlfind query cairo2`
 
 ifdef DEBUG
 CFLAGS = -g $(GTKCFLAGS)
@@ -192,26 +195,27 @@
 	ml_gtkpack$(XO) ml_gtkrange$(XO) ml_gtkstock$(XO) \
 	ml_gtktext$(XO) ml_gtktree$(XO) ml_gtkbuilder$(XO)
 COBJS = ml_gdkpixbuf$(XO) ml_gdk$(XO) ml_glib$(XO) ml_gobject$(XO) \
-	ml_gpointer$(XO) ml_gvaluecaml$(XO) wrappers$(XO) $(GTKOBJS)
-GTKPROPS += gtkBase.props gtkBin.props gtkButton.props gtkEdit.props \
-	gtkMenu.props gtkMisc.props gtkPack.props \
+	ml_gpointer$(XO) ml_gvaluecaml$(XO) wrappers$(XO) $(GTKOBJS) \
+        cairo_pango_stubs$(XO)
+GTKPROPS += gtkBase.props gtkContainers.props gtkBin.props gtkButton.props \
+        gtkEdit.props gtkMenu.props gtkMisc.props gtkPack.props \
 	gtkRange.props gtkText.props gtkTree.props gtkFile.props \
 	gtkAction.props gtkAssistant.props gtkBuilder.props
 MLOBJS1 =  gaux.cmo gpointer.cmo gutf8.cmo glib.cmo gobject.cmo
 ENUMOBJS += gdkEnums.cmo pangoEnums.cmo gtkEnums.cmo
 MLOBJS2 = pango.cmo gdk.cmo gdkEvent.cmo gdkKeysyms.cmo gdkPixbuf.cmo \
 	gtk.cmo gtkSignal.cmo gtkStock.cmo gtkObject.cmo
-MLOBJS3 = gtkData.cmo gtkBase.cmo gtkPack.cmo gtkButton.cmo \
+MLOBJS3 = gtkData.cmo gtkBase.cmo gtkContainers.cmo gtkPack.cmo gtkButton.cmo \
 	gtkAssistant.cmo \
 	gtkMenu.cmo gtkMisc.cmo gtkWindow.cmo \
 	gtkBin.cmo gtkEdit.cmo gtkRange.cmo gtkText.cmo gtkTree.cmo \
 	gtkBuilder.cmo gtkFile.cmo gtkMain.cmo \
-	gPango.cmo gDraw.cmo gObj.cmo ogtkBaseProps.cmo gData.cmo
+	gPango.cmo gDraw.cmo ogtkBaseProps.cmo gObj.cmo gData.cmo
 MLOBJS4 = gMain.cmo gContainer.cmo gPack.cmo gButton.cmo gText.cmo \
 	gMenu.cmo gMisc.cmo gTree.cmo gFile.cmo gWindow.cmo \
 	gAssistant.cmo gBuilder.cmo \
 	gBin.cmo gEdit.cmo gRange.cmo gAction.cmo \
-	gUtil.cmo gToolbox.cmo
+	gUtil.cmo gToolbox.cmo cairo_pango.cmo
 MLOBJS =  $(MLOBJS1) $(ENUMOBJS) $(MLOBJS2) $(GTKPROPS:.props=Props.cmo) \
 	$(MLOBJS3) $(GTKPROPS:%.props=o%Props.cmo) $(MLOBJS4)
 THOBJS = gtkThread.cmo
@@ -281,7 +285,7 @@
 	    < build.ml.in > $@
 
 gdk_pixbuf_mlsource3$(XE) : lablgtk.cma gdk_pixbuf_mlsource.ml
-	$(CAMLC) -o $@ -I . $^
+	$(OCAMLFIND) $(CAMLC) $(OCAMLFINDDEPS) -o $@ -I . cairo.cma $^
 
 lablgtkopt:: $(MLLIBS:.cma=.cmxa) $(INITOBJS:.cmo=.cmx)
 ifeq ($(THREADS_LIB),system)
@@ -370,11 +374,3 @@
 findlib-install:
 	@if test "$(OCAMLFIND)" = no; then \
 	  echo "Cannot use ocamlfind, use old-install."; \
-	  exit 2; fi
-	mkdir -p "$(BINDIR)"
-	mkdir -p "$(DESTDIR)$(FINDLIBDIR)"
-	@if test -f "$(DESTDIR)$(OCAMLLDCONF)"; then :; else \
-	  mkdir -p "`dirname $(DESTDIR)$(OCAMLLDCONF)`"; \
-	  touch "$(DESTDIR)$(OCAMLLDCONF)"; fi
-	$(OCAMLFIND) install -destdir "$(DESTDIR)$(FINDLIBDIR)" \
-	  -ldconf "$(DESTDIR)$(OCAMLLDCONF)" \
