=== debian/changelog ===
lablgtk3 (3.0~beta6-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:23:01 +0000

lablgtk3 (3.0~beta6-2) unstable; urgency=medium

  * Package liblablgtk3-ocaml-dev: add breaks/replaces with
    liblablgtk3-ocaml (<< 3.0~beta6-1) since the META file was
    moved from the latter to the first (closes: Bug#935611)
  * Add to override dh_ocaml more units that are also exported by
    lablgtk2-ocaml-dev: GPointer, Glib
  * Fix a typo in long description of liblablgtk3-ocaml

 -- Ralf Treinen <treinen@debian.org>  Mon, 26 Aug 2019 09:44:41 +0200

lablgtk3 (3.0~beta6-1) unstable; urgency=medium

  * New upstream beta release
  * New binary packages liblablgtkspell3-ocaml-dev, liblablgtkspell3-ocaml
  * d/watch:
    - point to release tags on github
    - set uversionmangle to handle correctly ".beta" versions
  * Build-dependencies:
    - add libcairo2-ocaml-dev
    - add ocaml-dune and libdune-ocaml-dev
    - change ocaml-nox to ocaml
    - change debhelper(=11) to debhelper-compat(=12), drop file debian/compat
  * Drop build-conflict on liblablgtk2-ocaml-dev
  * Improve package descriptions
  * Installation into binary packages:
    - change debian/*install.in files to follow the new file layout created
      by "dune install"
    - install useful upstream docs into liblablgtk-ocaml-dev
    - do not install binaries lablgladecc3 and gdk_pixbuf_mlsource3
  * debian/rules:
    - build: call dune -p ... (thanks to @ejgallego for the hint)
    - clean: call dune
    - install: call dune
    - configure: do nothing, since dune does its own configuration.
    - drop unused variable settings from d/rules
    - dh_missing: switch to --fail-missing
    - override dh_ocaml to avoid conflicts on units that are also
      exported by lablgtk2-ocaml-dev
  * debian/copyright:
    - drop a spurious blank line
  * Package tests:
    - update compilation option for lablgtk3-dev
  * Add Homepage
  * Standards-Version 4.4.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 13 Aug 2019 09:18:16 +0200
