=== debian/control ===
Source: lablgtk3
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-ocaml,
 ocaml (>= 4.05),
 ocaml-dune (>= 1.4.0),
 libdune-ocaml-dev,
 ocaml-findlib (>= 1.2.1),
 libgtk-3-dev (>= 3.18),
 libgtkspell3-3-dev,
 libgtksourceview-3.0-dev,
 libcairo2-ocaml-dev
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk3.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk3
Homepage: https://github.com/garrigue/lablgtk

Package: liblablgtk3-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description:  OCaml bindings to Gtk+ version 3 (runtime) 
 This is the OCaml binding for GTK+ version 3. GTK stands for the GIMP Toolkit,
 a multi-platform toolkit for creating graphical user interfaces.
 .
 This package includes only the dynamic libraries needed for running dynamic
 bytecode executables.

Package: liblablgtk3-ocaml-dev
Architecture: any
Depends:
 libgtk-3-dev,
 libgtkspell-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: liblablgtk3-ocaml (<< 3.0~beta6-1)
Replaces: liblablgtk3-ocaml (<< 3.0~beta6-1)
Recommends:
Description: OCaml bindings to Gtk+ version 3 (development files)
 This is the OCaml binding for GTK+ version 3. GTK stands for the GIMP Toolkit,
 a multi-platform toolkit for creating graphical user interfaces.
 .
 This package contains the development files of lablgtk.

Package: liblablgtk3-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances:
 liblablgtk3-ocaml-dev,
Description: OCaml bindings to Gtk+ version 3 (documentation)
 This is the OCaml binding for GTK+ version 3. GTK stands for the GIMP Toolkit,
 a multi-platform toolkit for creating graphical user interfaces.
 .
 This package contains the API reference of all libraries provided by
 LablGTK3, and the collection of examples.

Package: liblablgtksourceview3-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for libgtksourceview3 (runtime)
 This is the OCaml binding for the GtkSourceView3 widget, a text widget that
 extends the standard GTK+ 3.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the shared runtime stub libraries.

Package: liblablgtksourceview3-ocaml-dev
Architecture: any
Depends:
 libgtksourceview-3.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk3-ocaml-doc
Description: OCaml bindings for libgtksourceview3 (development files)
 This is the OCaml binding for the GtkSourceView3 widget, a text widget that
 extends the standard GTK+ 3.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the development files of the lablgtksourceview3 package.

Package: liblablgtkspell3-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for libgtkspell3 (runtime)
 This is the OCaml binding for the GtkSpell library which provides
 word-processor-style highlighting and replacement of misspelled words
 in a GtkTextView widget.
 .
 This package contains the shared runtime stub libraries.

Package: liblablgtkspell3-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk3-ocaml-doc
Description: OCaml bindings for libgtkspell3 (development files)
 This is the OCaml binding for the GtkSpell library which provides
 word-processor-style highlighting and replacement of misspelled words
 in a GtkTextView widget.
 .
 This package contains the development files of the lablgtkspell3 package.
