=== debian/tests/control ===
Tests: lablgtk3-dev
Depends: ocaml-nox, ocaml-findlib, liblablgtk3-ocaml-dev
