=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, uversionmangle=s/\.beta/~beta/" \
	 https://github.com/garrigue/lablgtk.git \
         refs/tags/(3.[\d*].*)
