## lablgtk3 3.1.0

=== debian/changelog ===
lablgtk3 (3.1.0-3) unstable; urgency=medium

  * Patch gcc10: fix compilation with gcc10 (closes: #957414)

 -- Ralf Treinen <treinen@debian.org>  Fri, 17 Apr 2020 21:39:33 +0200

lablgtk3 (3.1.0-2) unstable; urgency=medium

  * Upload to sid

 -- Ralf Treinen <treinen@debian.org>  Tue, 07 Apr 2020 09:33:07 +0200

lablgtk3 (3.1.0-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version 4.5.0 (no change)
  * drop override of dh_auto_build which is no longer useful
  * Add build-dependency camlp5
  * Add build-conflict on liblablgtk3-ocaml, in order to avoid that a
    dependency on the version installed on the system is picked up.
  * Bump build-dependencies of ocaml-dune and libcairo2-ocaml-dev.

 -- Ralf Treinen <treinen@debian.org>  Thu, 20 Feb 2020 09:01:24 +0100

lablgtk3 (3.0~beta8-1) experimental; urgency=medium

  * New upstream beta release
  * Add usr/doc/lablgtk3/LICENSE to debian/not-installed
  * Mark package liblablgtk3-ocaml-doc as Multi-Arch: foreign
  * Standards-Version 4.4.1 (no change)
  * Install METAs, cmxs files and the corresponding .cma files into the
    runtime library packages (closes: #935870)
  * Consequently, add Replaces/Breaks of the runtime library packages
    with earlier versions of the corresponding -dev packages.
  * debian/rules: construct the installation lists of the -dev packages
    by taking all generated files that are not to be installed into the
    respective runtime packages.
  * debian/rules: drop override of dh_installexamples which is no longer
    needed as upstream has removed the stale .cvsignore files.

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Jan 2020 08:31:38 +0100
