=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: lablgtk3
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  dh-ocaml,
  ocaml (>= 4.05),
- ocaml-dune (>= 1.4.0),
+ ocaml-dune (>= 1.8.0),
  libdune-ocaml-dev,
+ camlp5,
  ocaml-findlib (>= 1.2.1),
  libgtk-3-dev (>= 3.18),
  libgtkspell3-3-dev,
  libgtksourceview-3.0-dev,
- libcairo2-ocaml-dev
-Standards-Version: 4.4.0
+ libcairo2-ocaml-dev (>= 0.6)
+Build-Conflicts:
+ liblablgtk3-ocaml
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk3
 Homepage: https://github.com/garrigue/lablgtk
@@ -28,6 +30,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
+Breaks: liblablgtk3-ocaml-dev (<< 3.0~beta8-1)
+Replaces: liblablgtk3-ocaml-dev (<< 3.0~beta8-1)
 Description:  OCaml bindings to Gtk+ version 3 (runtime) 
  This is the OCaml binding for GTK+ version 3. GTK stands for the GIMP Toolkit,
  a multi-platform toolkit for creating graphical user interfaces.
@@ -58,7 +62,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Enhances:
- liblablgtk3-ocaml-dev,
+ liblablgtk3-ocaml-dev
+Multi-Arch: foreign
 Description: OCaml bindings to Gtk+ version 3 (documentation)
  This is the OCaml binding for GTK+ version 3. GTK stands for the GIMP Toolkit,
  a multi-platform toolkit for creating graphical user interfaces.
@@ -73,6 +78,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
+Breaks: liblablgtksourceview3-ocaml-dev (<< 3.0~beta8-1)
+Replaces: liblablgtksourceview3-ocaml-dev (<< 3.0~beta8-1)
 Description: OCaml bindings for libgtksourceview3 (runtime)
  This is the OCaml binding for the GtkSourceView3 widget, a text widget that
  extends the standard GTK+ 3.x text widget with syntax highlighting and other
@@ -103,6 +110,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
+Breaks: liblablgtkspell3-ocaml-dev (<< 3.0~beta8-1)
+Replaces: liblablgtkspell3-ocaml-dev (<< 3.0~beta8-1)
 Description: OCaml bindings for libgtkspell3 (runtime)
  This is the OCaml binding for the GtkSpell library which provides
  word-processor-style highlighting and replacement of misspelled words
