=== debian/rules ===
--- 
+++ 
@@ -12,23 +12,30 @@
 override_dh_auto_configure:
 	# do nothing
 
-override_dh_auto_build:
-	dune build -p lablgtk3,lablgtk3-sourceview3,lablgtk3-gtkspell3
-
 override_dh_auto_install:
 	DESTDIR=$(CURDIR)/debian/tmp dune install
+	# install into liblablgtk3-ocaml-dev all regular files of the
+	# lablgtk3 dir that are not to be installed into liblablgtk3-ocaml
+	# Same for liblablgtksourceview3 and liblablgtkspell3
+	(cd $(CURDIR)/debian/tmp; \
+	 find usr/lib/ocaml/lablgtk3 \
+	   -type f \
+	   ! -exec grep -q '{}' ../liblablgtk3-ocaml.install \;\
+	   -print \
+	   >> ../liblablgtk3-ocaml-dev.install; \
+	 find usr/lib/ocaml/lablgtk3-sourceview3 \
+	   -type f \
+	   ! -exec grep -q '{}' ../liblablgtksourceview3-ocaml.install \;\
+	   -print \
+	   >> ../liblablgtksourceview3-ocaml-dev.install; \
+	 find usr/lib/ocaml/lablgtk3-gtkspell3 \
+	   -type f \
+	   ! -exec grep -q '{}' ../liblablgtkspell3-ocaml.install \;\
+	   -print \
+	   >> ../liblablgtkspell3-ocaml-dev.install)
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_installexamples:
-	dh_installexamples
-	if [ -d debian/liblablgtk3-ocaml-doc/usr/share/doc/liblablgtk3-ocaml/examples ]; \
-	then \
-	  find debian/liblablgtk3-ocaml-doc/usr/share/doc/liblablgtk3-ocaml/examples \
-	    -name .cvsignore \
-	    -delete ;\
-	fi
 
 override_dh_ocaml:
 	dh_ocaml --nodefined-map=liblablgtk3-ocaml-dev:GtkThread \
