## lablgtk3 3.1.1

=== debian/changelog ===
lablgtk3 (3.1.1-1build2) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2020 12:52:51 +0200

lablgtk3 (3.1.1-1build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Aug 2020 08:38:24 +0200

lablgtk3 (3.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Fix dependency on libgtkspell3-3-dev (Closes: #967893)
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Aug 2020 11:06:07 +0200
