=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/ocaml/ocamlvars.mk
 
 %:
 	dh $@ --with ocaml
@@ -11,6 +13,9 @@
 
 override_dh_auto_configure:
 	# do nothing
+
+override_dh_auto_build:
+	dune build
 
 override_dh_auto_install:
 	DESTDIR=$(CURDIR)/debian/tmp dune install
@@ -34,9 +39,6 @@
 	   -print \
 	   >> ../liblablgtkspell3-ocaml-dev.install)
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_ocaml:
 	dh_ocaml --nodefined-map=liblablgtk3-ocaml-dev:GtkThread \
 		--nodefined-map=liblablgtk3-ocaml-dev:Gobject \
