=== debian/changelog ===
lablgtk3 (3.1.1+official-1) unstable; urgency=medium

  * Use an official upstream tarball, instead of a tag on the upstream git.
  * d/rules: give explicit list of packages to dune (closes: #971439)
  * Change debian/watch to download official tarballs, instead of tagged
    releases from git.

 -- Ralf Treinen <treinen@debian.org>  Thu, 01 Oct 2020 21:47:51 +0200
