=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-ocaml,
  ocaml (>= 4.05),
  ocaml-dune (>= 1.8.0),
@@ -19,6 +19,7 @@
 Build-Conflicts:
  liblablgtk3-ocaml
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk3
 Homepage: https://github.com/garrigue/lablgtk
@@ -32,7 +33,7 @@
 Provides: ${ocaml:Provides}
 Breaks: liblablgtk3-ocaml-dev (<< 3.0~beta8-1)
 Replaces: liblablgtk3-ocaml-dev (<< 3.0~beta8-1)
-Description:  OCaml bindings to Gtk+ version 3 (runtime) 
+Description: OCaml bindings to Gtk+ version 3 (runtime)
  This is the OCaml binding for GTK+ version 3. GTK stands for the GIMP Toolkit,
  a multi-platform toolkit for creating graphical user interfaces.
  .
@@ -43,14 +44,12 @@
 Architecture: any
 Depends:
  libgtk-3-dev,
- libgtkspell-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Breaks: liblablgtk3-ocaml (<< 3.0~beta6-1)
 Replaces: liblablgtk3-ocaml (<< 3.0~beta6-1)
-Recommends:
 Description: OCaml bindings to Gtk+ version 3 (development files)
  This is the OCaml binding for GTK+ version 3. GTK stands for the GIMP Toolkit,
  a multi-platform toolkit for creating graphical user interfaces.
@@ -122,6 +121,7 @@
 Package: liblablgtkspell3-ocaml-dev
 Architecture: any
 Depends:
+ libgtkspell3-3-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
