=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	# do nothing
 
 override_dh_auto_build:
-	dune build
+	dune build -p lablgtk3,lablgtk3-gtkspell3,lablgtk3-sourceview3
 
 override_dh_auto_install:
 	DESTDIR=$(CURDIR)/debian/tmp dune install
