=== debian/watch ===
version=4
opts="pgpmode=none, uversionmangle=s/\.beta/~beta/" \
	 https://github.com/garrigue/lablgtk/releases/tag/3.1.1 \
	 .*/lablgtk3-([.\d]+)\.tbz
