=== debian/changelog ===
lablgtk3 (3.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Mar 2022 08:14:43 +0100
