=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libcairo2-ocaml-dev (>= 0.6)
 Build-Conflicts:
  liblablgtk3-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk3
