=== debian/changelog ===
lablgtk3 (3.1.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on ocaml (>= 4.05).
    + Build-Depends: Drop versioned constraint on ocaml-findlib (>= 1.2.1).
    + Build-Depends: Drop versioned constraint on libgtk-3-dev (>= 3.18).
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jan 2023 09:13:15 +0100
