=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml,
- ocaml (>= 4.05),
+ ocaml,
  ocaml-dune (>= 1.8.0),
  libdune-ocaml-dev,
  camlp5,
- ocaml-findlib (>= 1.2.1),
- libgtk-3-dev (>= 3.18),
+ ocaml-findlib,
+ libgtk-3-dev,
  libgtkspell3-3-dev,
  libgtksourceview-3.0-dev,
+ libcamlp-streams-ocaml-dev,
  libcairo2-ocaml-dev (>= 0.6)
 Build-Conflicts:
  liblablgtk3-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk3
