=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dune build -p lablgtk3,lablgtk3-gtkspell3,lablgtk3-sourceview3
 
 override_dh_auto_install:
-	DESTDIR=$(CURDIR)/debian/tmp dune install
+	DESTDIR=$(CURDIR)/debian/tmp dune install lablgtk3 lablgtk3-gtkspell3 lablgtk3-sourceview3
 	# install into liblablgtk3-ocaml-dev all regular files of the
 	# lablgtk3 dir that are not to be installed into liblablgtk3-ocaml
 	# Same for liblablgtksourceview3 and liblablgtkspell3
