=== debian/watch ===
version=4
opts="pgpmode=none, uversionmangle=s/\.beta/~beta/" \
	 https://github.com/garrigue/lablgtk/releases \
	 .*/v?(3\.[.\d]+)\.tar\.gz
