=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lablgtk3
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
+ dh-ocaml (>= 1.2.2),
  ocaml,
  ocaml-dune (>= 1.8.0),
  libdune-ocaml-dev,
@@ -19,7 +20,7 @@
  libcairo2-ocaml-dev (>= 0.6)
 Build-Conflicts:
  liblablgtk3-ocaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk3
