## lablgtk3 3.1.5

=== debian/changelog ===
lablgtk3 (3.1.5-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 06:22:25 +0200

lablgtk3 (3.1.5-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:06:37 +0200

lablgtk3 (3.1.5-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:23:34 +0100

lablgtk3 (3.1.5-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:49:18 +0200

lablgtk3 (3.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 13 Jul 2024 10:44:11 +0200
